Browse code

remove check_whitespace file now that it's in pre-commit

Bas Nijholt authored on 14/12/2019 20:03:31
Showing 1 changed files
1 1
deleted file mode 100755
... ...
@@ -1,8 +0,0 @@
1
-#!/bin/sh
2
-
3
-! for f in $(git ls-files | grep -v \\.diff$); do
4
-    file $f | grep -q ' text' || continue
5
-    grep -q '[[:blank:]]$' $f && echo $f: trailing whitespace
6
-    tail -n1 $f | read -r _ || echo $f: no newline at end of file
7
-    tail -n1 $f | grep -q '^$' && echo $f: empty line at end of file
8
-done | grep . >&2
Browse code

fix whitespace

Bas Nijholt authored on 17/10/2018 14:45:55
Showing 1 changed files
... ...
@@ -6,4 +6,3 @@
6 6
     tail -n1 $f | read -r _ || echo $f: no newline at end of file
7 7
     tail -n1 $f | grep -q '^$' && echo $f: empty line at end of file
8 8
 done | grep . >&2
9
-
Browse code

add check_whitespace

Bas Nijholt authored on 15/10/2018 17:15:40
Showing 1 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,9 @@
1
+#!/bin/sh
2
+
3
+! for f in $(git ls-files | grep -v \\.diff$); do
4
+    file $f | grep -q ' text' || continue
5
+    grep -q '[[:blank:]]$' $f && echo $f: trailing whitespace
6
+    tail -n1 $f | read -r _ || echo $f: no newline at end of file
7
+    tail -n1 $f | grep -q '^$' && echo $f: empty line at end of file
8
+done | grep . >&2
9
+